
BINARY = mynotes.bin
BUILD_DIR = ./bin/
CFG_FILE = mynotes_cfg.json

.DEFAULT_GOAL := help

build: 
	@CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -o $(BUILD_DIR)/$(BINARY) .

run: build 
	@cd $(BUILD_DIR) && ./$(BINARY) --run $(CFG_FILE)

help:
	@clear
	@echo "Comenzi disponibile: "
	@echo "		build - construieste executabilul"
	@echo "		run - executa programul"

